Page MenuHomeFreeBSD

security/vault: update to 0.8.2
ClosedPublic

Authored by dch on Sep 13 2017, 11:08 PM.

Details

Summary
  • upstream requires golang >= 1.9

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

I'd like to include the rc.d changes proposed in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=215896 however this would require checking for OSVERSION > 1101000 to be sure that daemon(8) has the necessary flags to support stdio redirection, as these were only added in 11.1. Is it appropriate to use ports compiletime checking of OSVERSION in the Makefile to toggle support for the additional flags, or should this be a runtime check in the rc.d script itself? Suggestions welcome for the latter.

security/vault/Makefile
19 ↗(On Diff #33041)

Is defining COMMIT_ID necessary when there is a tagged release? It builds fine for me without this.

In D12363#256425, @dch wrote:

I'd like to include the rc.d changes proposed in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=215896 however this would require checking for OSVERSION > 1101000 to be sure that daemon(8) has the necessary flags to support stdio redirection, as these were only added in 11.1. Is it appropriate to use ports compiletime checking of OSVERSION in the Makefile to toggle support for the additional flags, or should this be a runtime check in the rc.d script itself? Suggestions welcome for the latter.

Maybe something like '4.4.4. Patching Conditionally' in the Porter's Handbook provides what you are looking for.

Did you run this through portlint -C and poudriere for 10/11 i386/amd64?

security/vault/Makefile
4–5 ↗(On Diff #33041)

The Porter's Handbook now recommends DISTVERSION, which usually does the right thing wrt setting PORTVERSION.

DISTVERSIONPREFIX=	v
DISTVERSION=	0.8.2
security/vault/Makefile
19 ↗(On Diff #33041)

Yes, it is:

@${REINPLACE_CMD} -e 's|%%COMMIT_ID%%|${COMMIT_ID}|g' ${WRKSRC}/version/version.go
security/vault/Makefile
19 ↗(On Diff #33041)

Oh sheesh. I missed that and it was just below. :-/

Looks fine, approved.

security/vault/Makefile
4–5 ↗(On Diff #33041)

I think I would prefer to keep PORTVERSION and DISTVERSIONPREFIX for now.

19 ↗(On Diff #33041)

No worries. FWIW, the reason for his is so that the version info matches upstream's binaries.

This revision is now accepted and ready to land.Sep 14 2017, 3:28 PM
dch marked 6 inline comments as done.Sep 15 2017, 9:27 PM

FWIW this passes portlint, and my poudriere matrix
11.1R amd64 + i386, 10.3R amd64 + i386. I'll commit
this and then look at the PR rc.d script separately:

This revision was automatically updated to reflect the committed changes.